Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

IBM Lotus Domino Multiple Remote Buffer Overflow Vulnerabilities

Information

Severity

Severity

Critical

Family

Family

Buffer overflow

CVSSv2 Base

CVSSv2 Base

10.0

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:L/Au:N/C:C/I:C/A:C

Solution Type

Solution Type

Vendor Patch

Created

Created

11 years ago

Modified

Modified

4 years ago

Summary

The host is running IBM Lotus Domino Server and is prone to remote buffer overflow vulnerabilities.

Insight

Insight

The multiple flaws are due to, - Error in 'ndiiop.exe' in the DIIOP implementation, which allows remote attackers to execute arbitrary code via a GIOP getEnvironmentString request. - Integer signedness error in 'ndiiop.exe' in the DIIOP implementation, which allows remote attackers to execute arbitrary code via a GIOP client request. - Error in 'nrouter.exe', which allows remote attackers to execute arbitrary code via a long name parameter in a Content-Type header in a malformed Notes calendar meeting request.

Affected Software

Affected Software

IBM Lotus Domino versions prior to 8.5.3

Solution

Solution

Upgrade to IBM Lotus Domino version 8.5.3 or later

Common Vulnerabilities and Exposures (CVE)